package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.common.enums.ActivityTypeEnum;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022-08-04 10:19:49
 */
@ApiModel(value = "ActivityRegistrationSearch对象", description = "活动报名表查询对象")
public class ActivityRegistrationSearch extends QueryInfo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "活动id", required = true)
    @NotNull(message = "活动id不能为空")
    private Long activityId;
    @ApiModelProperty(value = "活动类型 EVALUATION 评测活动 ", required = true)
    @NotNull(message = "活动类型不能为空")
    private ActivityTypeEnum activityType;
    /**
     * 曲目id
     */
    @ApiModelProperty(value = "曲目id集合")
    private List<Long> musicSheetIds;
    /**
     * 是否获奖 0 否 1 是
     */
    @ApiModelProperty(value = "是否获奖 0 否 1 是")
    private YesOrNoEnum rewardFlag;

    @ApiModelProperty(value = "声部ID集合")
    private List<Long> subjectIds;

    public ActivityTypeEnum getActivityType() {
        return activityType;
    }

    public void setActivityType(ActivityTypeEnum activityType) {
        this.activityType = activityType;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public List<Long> getMusicSheetIds() {
        return musicSheetIds;
    }

    public void setMusicSheetIds(List<Long> musicSheetIds) {
        this.musicSheetIds = musicSheetIds;
    }

    public YesOrNoEnum getRewardFlag() {
        return rewardFlag;
    }

    public void setRewardFlag(YesOrNoEnum rewardFlag) {
        this.rewardFlag = rewardFlag;
    }

    public List<Long> getSubjectIds() {
        return subjectIds;
    }

    public void setSubjectIds(List<Long> subjectIds) {
        this.subjectIds = subjectIds;
    }
}